Index: /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/limit_slab.F90	(revision 2408)
@@ -4,5 +4,5 @@
 
   USE dimphy
-  USE mod_grid_phy_lmdz
+  USE mod_grid_phy_lmdz, ONLY: klon_glo
   USE mod_phys_lmdz_para
   USE netcdf 
@@ -11,7 +11,5 @@
   IMPLICIT NONE
 
-  INCLUDE "temps.h"
   INCLUDE "clesphys.h"
-  INCLUDE "dimensions.h"
 
 ! In- and ouput arguments
@@ -113,5 +111,5 @@
 !****************************************************************************************
         ierr = NF90_CLOSE(nid)
-        IF (ierr /= NF90_NOERR) CALL abort_gcm(modname,'Pb when closing file', 1)
+        IF (ierr /= NF90_NOERR) CALL abort_physic(modname,'Pb when closing file', 1)
         END IF ! Read File
         IF (read_sst) THEN
@@ -133,5 +131,5 @@
      IF (.NOT. ALLOCATED(bils_save)) THEN
         ALLOCATE(bils_save(klon), diff_sst_save(klon), diff_siv_save(klon), stat=ierr)
-        IF (ierr /= 0) CALL abort_gcm('limit_slab', 'pb in allocation',1)
+        IF (ierr /= 0) CALL abort_physic('limit_slab', 'pb in allocation',1)
      END IF
 
Index: /LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/lsc_scav.F90	(revision 2408)
@@ -13,6 +13,5 @@
   USE mod_phys_lmdz_para
   USE traclmdz_mod
-  USE infotrac,ONLY : nbtr
-  USE comgeomphy
+  USE infotrac_phy,ONLY : nbtr
   USE iophy
   IMPLICIT NONE 
@@ -24,5 +23,4 @@
 !=====================================================================
 
-  include "dimensions.h"
   include "chem.h"
   include "YOMCST.h"
Index: /LMDZ5/branches/testing/libf/phylmd/minmaxqfi.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/minmaxqfi.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/minmaxqfi.F90	(revision 2408)
@@ -4,4 +4,5 @@
 SUBROUTINE minmaxqfi(zq,qmin,qmax,comment)
   USE dimphy
+  USE print_control_mod, ONLY: prt_level
   IMPLICIT NONE
 
@@ -15,6 +16,4 @@
   INTEGER                     :: i, jbad, k
 
-  include "iniprint.h"
-  
   DO k = 1, klev
      jbad = 0
Index: /LMDZ5/branches/testing/libf/phylmd/mod_surf_para.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/mod_surf_para.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/mod_surf_para.F90	(revision 2408)
@@ -49,5 +49,5 @@
 
   SUBROUTINE Init_surf_para(knon)
-  USE mod_phys_lmdz_para, mpi_rank_root=>mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -168,5 +168,5 @@
      
   SUBROUTINE gather_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -180,5 +180,5 @@
       CALL MPI_Gatherv(FieldIn,knon_mpi,MPI_INTEGER,                                &
                        FieldOut,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER, &
-                       mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                       mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
@@ -223,5 +223,5 @@
      
   SUBROUTINE gather_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -235,5 +235,5 @@
       CALL MPI_Gatherv(FieldIn,knon_mpi,MPI_REAL_LMDZ,                                 &
                        FieldOut,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_REAL_LMDZ,  &
-                       mpi_rank_root,COMM_LMDZ_PHY,ierr)            
+                       mpi_master,COMM_LMDZ_PHY,ierr)            
 #endif
     ELSE
@@ -276,5 +276,5 @@
      
   SUBROUTINE scatter_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -288,5 +288,5 @@
       CALL MPI_Scatterv(FieldIn,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER,   &
                         FieldOut,knon_mpi,MPI_INTEGER,                                &
-                        mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                        mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
@@ -328,5 +328,5 @@
      
   SUBROUTINE scatter_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -340,5 +340,5 @@
       CALL MPI_Scatterv(FieldIn,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER,   &
                         FieldOut,knon_mpi,MPI_INTEGER,                                &
-                        mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                        mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
@@ -349,2 +349,3 @@
 
 END MODULE mod_surf_para
+
Index: /LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/moy_undefSTD.F90	(revision 2408)
@@ -35,8 +35,4 @@
   ! NB: mettre "inst(X)" dans le write_hist*NMC.h !
   ! ====================================================================
-  ! ym#include "dimensions.h"
-  ! ym      integer jjmp1
-  ! ym      parameter (jjmp1=jjm+1-1/jjm)
-  ! ym#include "dimphy.h"
 
 
@@ -78,5 +74,5 @@
     ! calcul 1 fois pas mois, 1 fois par jour ou toutes les 6h
 
-    IF (n==1 .AND. itap==itapm1 .OR. n>1 .AND. mod(itap,nint(freq_outnmc(n)/ &
+    IF (n==1 .AND. itap==itapm1 .OR. n>1 .AND. mod(itap,nint(freq_outnmc(n)/ & 
         dtime))==0) THEN
 
Index: /LMDZ5/branches/testing/libf/phylmd/moyglo_aire.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/moyglo_aire.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/moyglo_aire.F90	(revision 2408)
@@ -16,6 +16,4 @@
   ! ==================================================================
 
-  include "dimensions.h"
-  ! ym#include "dimphy.h"
   INTEGER i, nhori
   REAL champ(klon), aire(klon), msk(klon)
@@ -74,6 +72,4 @@
 
   ! ==================================================================
-  include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   INTEGER i, k, nhori, nvert
@@ -119,6 +115,4 @@
 
   ! ==================================================================
-  include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   INTEGER i, k, nhori, nvert
Index: /LMDZ5/branches/testing/libf/phylmd/nonlocal.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/nonlocal.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/nonlocal.F90	(revision 2408)
@@ -21,5 +21,4 @@
   ! ======================================================================
   include "YOMCST.h"
-  include "iniprint.h"
 
   ! Arguments:
Index: /LMDZ5/branches/testing/libf/phylmd/nuage.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/nuage.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/nuage.F90	(revision 2408)
@@ -37,6 +37,4 @@
   include "nuage.h" ! JBM 3/14
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   REAL paprs(klon, klev+1), pplay(klon, klev)
   REAL t(klon, klev)
@@ -246,6 +244,4 @@
   ! ces nuages. Je dois avouer que c'est une frustration.
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
 
@@ -323,6 +319,4 @@
   IMPLICIT NONE
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/o3_chem_m.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/o3_chem_m.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/o3_chem_m.F90	(revision 2408)
@@ -14,5 +14,5 @@
 
     ! All the 2-dimensional arrays are on the partial "physics" grid.
-    ! Their shape is "(/klon, llm/)".
+    ! Their shape is "(/klon, nbp_lev/)".
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
@@ -20,10 +20,12 @@
     use dimphy, only: klon
     use regr_pr_comb_coefoz_m, only: c_Mob, a4_mass, a2, r_het_interm
+    use mod_grid_phy_lmdz, only: nbp_lev
+    use nrtype, only: pi
 
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
     real, intent(in):: gmtime ! heure de la journée en fraction de jour
-    real, intent(in):: t_seri(:, :) ! (klon, llm) temperature, in K
+    real, intent(in):: t_seri(:, :) ! (klon, nbp_lev) temperature, in K
 
-    real, intent(in):: zmasse(:, :) ! (klon, llm)
+    real, intent(in):: zmasse(:, :) ! (klon, nbp_lev)
     ! (column-density of mass of air in a cell, in kg m-2)
     ! "zmasse(:, k)" is for layer "k".)
@@ -34,24 +36,22 @@
     ! (longitude and latitude of each horizontal position, in degrees)
 
-    real, intent(inout):: q(:, :) ! (klon, llm) mass fraction of ozone
+    real, intent(inout):: q(:, :) ! (klon, nbp_lev) mass fraction of ozone
     ! "q(:, k)" is at middle of layer "k".)
 
     ! Variables local to the procedure:
-    include "dimensions.h"
-    include "comconst.h"
     ! (for "pi")
     integer k
 
-    real c(klon, llm)
+    real c(klon, nbp_lev)
     ! (constant term during a time step in the net mass production
     ! rate of ozone by chemistry, per unit mass of air, in s-1)
     ! "c(:, k)" is at middle of layer "k".)
 
-    real b(klon, llm)
+    real b(klon, nbp_lev)
     ! (coefficient of "q" in the net mass production
     ! rate of ozone by chemistry, per unit mass of air, in s-1)
     ! "b(:, k)" is at middle of layer "k".)
 
-    real dq_o3_chem(klon, llm)
+    real dq_o3_chem(klon, nbp_lev)
     ! (variation of ozone mass fraction due to chemistry during a time step)
     ! "dq_o3_chem(:, k)" is at middle of layer "k".)
@@ -69,6 +69,6 @@
     call assert(klon == (/size(q, 1), size(t_seri, 1), size(zmasse, 1), &
          size(rlat), size(rlon)/), "o3_chem klon")
-    call assert(llm == (/size(q, 2), size(t_seri, 2), size(zmasse, 2)/), &
-         "o3_chem llm")
+    call assert(nbp_lev == (/size(q, 2), size(t_seri, 2), size(zmasse, 2)/), &
+         "o3_chem nbp_lev")
 
     c = c_Mob + a4_mass * t_seri
@@ -86,5 +86,5 @@
     call orbite(real(julien), earth_long, trash1)
     call zenang(earth_long, gmtime, pdtphys, rlat, rlon, pmu0, trash2)
-    forall (k = 1: llm)
+    forall (k = 1: nbp_lev)
        where (pmu0 <= cos(87. / 180. * pi)) b(:, k) = 0.
     end forall
@@ -112,5 +112,5 @@
 
     ! All the 2-dimensional arrays are on the partial "physics" grid.
-    ! Their shape is "(/klon, llm/)".
+    ! Their shape is "(/klon, nbp_lev/)".
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
@@ -118,4 +118,5 @@
     use assert_m, only: assert
     use dimphy, only: klon
+    use mod_grid_phy_lmdz, only: nbp_lev
 
     real, intent(in):: q(:, :) ! mass fraction of ozone
@@ -136,7 +137,5 @@
     ! ("b(:, k)" is at middle of layer "k".)
 
-    include "dimensions.h"
-
-    real o3_prod(klon, llm)
+    real o3_prod(klon, nbp_lev)
     ! (net mass production rate of ozone by chemistry, per unit mass
     ! of air, in s-1)
@@ -145,5 +144,5 @@
     ! Variables local to the procedure:
 
-    real sigma_mass(klon, llm)
+    real sigma_mass(klon, nbp_lev)
     ! (mass column-density of ozone above point, in kg m-2)
     ! ("sigma_mass(:, k)" is at middle of layer "k".)
@@ -155,5 +154,5 @@
     call assert(klon == (/size(q, 1), size(zmasse, 1), size(c, 1), &
          size(b, 1)/), "o3_prod 1")
-    call assert(llm == (/size(q, 2), size(zmasse, 2), size(c, 2), &
+    call assert(nbp_lev == (/size(q, 2), size(zmasse, 2), size(c, 2), &
          size(b, 2)/), "o3_prod 2")
 
@@ -161,6 +160,6 @@
     ! "k", and, as a first approximation, take it as column-density
     ! above the middle of layer "k":
-    sigma_mass(:, llm) = zmasse(:, llm) * q(:, llm) ! top layer
-    do k =  llm - 1, 1, -1
+    sigma_mass(:, nbp_lev) = zmasse(:, nbp_lev) * q(:, nbp_lev) ! top layer
+    do k =  nbp_lev - 1, 1, -1
        sigma_mass(:, k) = sigma_mass(:, k+1) + zmasse(:, k) * q(:, k)
     end do
Index: /LMDZ5/branches/testing/libf/phylmd/o3cm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/o3cm.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/o3cm.F90	(revision 2408)
@@ -32,5 +32,5 @@
   IF (ntab>499) THEN
     abort_message = 'BIG ntab'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   xincr = (bmb-amb)/real(ntab)
Index: /LMDZ5/branches/testing/libf/phylmd/oasis.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/oasis.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/oasis.F90	(revision 2408)
@@ -99,8 +99,6 @@
     USE wxios, ONLY : wxios_context_init 
 #endif
-
-
-    INCLUDE "dimensions.h"
-    INCLUDE "iniprint.h"
+    USE print_control_mod, ONLY: lunout
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
 
 ! Local variables
@@ -218,5 +216,5 @@
        IF (ierror .NE. PRISM_Ok) THEN
           abort_message=' Probleme init dans prism_init_comp '
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ELSE
           WRITE(lunout,*) 'inicma : init psmile ok '
@@ -229,8 +227,8 @@
 !************************************************************************************
     ig_paral(1) = 1                            ! apple partition for //
-    ig_paral(2) = (jj_begin-1)*iim+ii_begin-1  ! offset
-    ig_paral(3) = (jj_end*iim+ii_end) - (jj_begin*iim+ii_begin) + 1
-
-    IF (mpi_rank==mpi_size-1) ig_paral(3)=ig_paral(3)+iim-1
+    ig_paral(2) = (jj_begin-1)*nbp_lon+ii_begin-1  ! offset
+    ig_paral(3) = (jj_end*nbp_lon+ii_end) - (jj_begin*nbp_lon+ii_begin) + 1
+
+    IF (mpi_rank==mpi_size-1) ig_paral(3)=ig_paral(3)+nbp_lon-1
     WRITE(lunout,*) mpi_rank,'ig_paral--->',ig_paral(2),ig_paral(3)
     
@@ -240,5 +238,5 @@
     IF (ierror .NE. PRISM_Ok) THEN
        abort_message=' Probleme dans prism_def_partition '
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ELSE
        WRITE(lunout,*) 'inicma : decomposition domaine psmile ok '
@@ -249,7 +247,7 @@
 
     il_var_actual_shape(1) = 1
-    il_var_actual_shape(2) = iim
+    il_var_actual_shape(2) = nbp_lon
     il_var_actual_shape(3) = 1
-    il_var_actual_shape(4) = jjm+1
+    il_var_actual_shape(4) = nbp_lat
    
     il_var_type = PRISM_Real
@@ -268,5 +266,5 @@
                   inforecv(jf)%name
              abort_message=' Problem in call to prism_def_var_proto for fields to receive'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -286,5 +284,5 @@
                   infosend(jf)%name
              abort_message=' Problem in call to prism_def_var_proto for fields to send'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -297,5 +295,5 @@
     IF (ierror .NE. PRISM_Ok) THEN
        abort_message=' Problem in call to prism_endef_proto'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ELSE
        WRITE(lunout,*) 'inicma : endef psmile ok '
@@ -320,6 +318,6 @@
 !======================================================================
 !
-    INCLUDE "dimensions.h"
-    INCLUDE "iniprint.h"
+    USE print_control_mod, ONLY: lunout
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
 ! Input arguments
 !************************************************************************************
@@ -328,5 +326,5 @@
 ! Output arguments
 !************************************************************************************
-    REAL, DIMENSION(iim, jj_nb,maxrecv), INTENT(OUT) :: tab_get
+    REAL, DIMENSION(nbp_lon, jj_nb,maxrecv), INTENT(OUT) :: tab_get
 
 ! Local variables
@@ -336,5 +334,5 @@
     CHARACTER (len = 20)          :: modname = 'fromcpl'
     CHARACTER (len = 80)          :: abort_message 
-    REAL, DIMENSION(iim*jj_nb)    :: field
+    REAL, DIMENSION(nbp_lon*jj_nb)    :: field
 
 !************************************************************************************
@@ -345,7 +343,7 @@
     istart=ii_begin
     IF (is_south_pole) THEN
-       iend=(jj_end-jj_begin)*iim+iim
+       iend=(jj_end-jj_begin)*nbp_lon+nbp_lon
     ELSE
-       iend=(jj_end-jj_begin)*iim+ii_end
+       iend=(jj_end-jj_begin)*nbp_lon+ii_end
     ENDIF
     
@@ -354,5 +352,5 @@
           field(:) = -99999.
           CALL prism_get_proto(inforecv(i)%nid, ktime, field(istart:iend), ierror)
-          tab_get(:,:,i) = RESHAPE(field(:),(/iim,jj_nb/))
+          tab_get(:,:,i) = RESHAPE(field(:),(/nbp_lon,jj_nb/))
        
           IF (ierror .NE. PRISM_Ok .AND. ierror.NE.PRISM_Recvd .AND. &
@@ -362,5 +360,5 @@
               WRITE (lunout,*)  'Error with receiving filed : ', inforecv(i)%name, ktime   
               abort_message=' Problem in prism_get_proto '
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
           ENDIF
       ENDIF
@@ -382,11 +380,11 @@
 !
 ! 
-    INCLUDE "dimensions.h"
-    INCLUDE "iniprint.h"
+    USE print_control_mod, ONLY: lunout
+    USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat
 ! Input arguments
 !************************************************************************************
     INTEGER, INTENT(IN)                              :: ktime
     LOGICAL, INTENT(IN)                              :: last
-    REAL, DIMENSION(iim, jj_nb, maxsend), INTENT(IN) :: tab_put
+    REAL, DIMENSION(nbp_lon, jj_nb, maxsend), INTENT(IN) :: tab_put
 
 ! Local variables
@@ -396,5 +394,5 @@
     INTEGER                          :: wstart,wend
     INTEGER                          :: ierror, i
-    REAL, DIMENSION(iim*jj_nb)       :: field
+    REAL, DIMENSION(nbp_lon*jj_nb)       :: field
     CHARACTER (len = 20),PARAMETER   :: modname = 'intocpl'
     CHARACTER (len = 80)             :: abort_message 
@@ -411,7 +409,7 @@
     istart=ii_begin
     IF (is_south_pole) THEN
-       iend=(jj_end-jj_begin)*iim+iim
+       iend=(jj_end-jj_begin)*nbp_lon+nbp_lon
     ELSE
-       iend=(jj_end-jj_begin)*iim+ii_end
+       iend=(jj_end-jj_begin)*nbp_lon+ii_end
     ENDIF
     
@@ -419,10 +417,10 @@
        wstart=istart
        wend=iend
-       IF (is_north_pole) wstart=istart+iim-1
-       IF (is_south_pole) wend=iend-iim+1
+       IF (is_north_pole) wstart=istart+nbp_lon-1
+       IF (is_south_pole) wend=iend-nbp_lon+1
        
        DO i = 1, maxsend
           IF (infosend(i)%action) THEN
-             field = RESHAPE(tab_put(:,:,i),(/iim*jj_nb/))
+             field = RESHAPE(tab_put(:,:,i),(/nbp_lon*jj_nb/))
              CALL writefield_phy(infosend(i)%name,field(wstart:wend),1)
           END IF
@@ -436,5 +434,5 @@
     DO i = 1, maxsend
       IF (infosend(i)%action .AND. infosend(i)%nid .NE. -1 ) THEN
-          field = RESHAPE(tab_put(:,:,i),(/iim*jj_nb/))
+          field = RESHAPE(tab_put(:,:,i),(/nbp_lon*jj_nb/))
           CALL prism_put_proto(infosend(i)%nid, ktime, field(istart:iend), ierror)
           
@@ -444,5 +442,5 @@
               WRITE (lunout,*) 'Error with sending field :', infosend(i)%name, ktime   
               abort_message=' Problem in prism_put_proto '
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
           ENDIF
       ENDIF
@@ -459,5 +457,5 @@
           IF (ierror .NE. PRISM_Ok) THEN
              abort_message=' Problem in prism_terminate_proto '
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
Index: /LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/ocean_slab_mod.F90	(revision 2408)
@@ -88,5 +88,4 @@
     use IOIPSL
 
-    INCLUDE "iniprint.h"
     ! For ok_xxx vars (Ekman...)
     INCLUDE "clesphys.h"
@@ -110,5 +109,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation tmp_pctsrf_slab'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     fsic(:)=0.
@@ -121,5 +120,5 @@
 !****************************************************************************************
     ALLOCATE(tslab(klon,nslay), stat=error)
-       IF (error /= 0) CALL abort_gcm &
+       IF (error /= 0) CALL abort_physic &
          (modname,'pb allocation tslab', 1)
 
@@ -127,5 +126,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slab_bils'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     slab_bils(:) = 0.0   
@@ -133,5 +132,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slab_bils_cum'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     bils_cum(:) = 0.0   
@@ -141,5 +140,5 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_bilg'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         slab_bilg(:) = 0.0   
@@ -147,5 +146,5 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_bilg_cum'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         bilg_cum(:) = 0.0   
@@ -153,10 +152,10 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_tice'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         ALLOCATE(seaice(klon), stat = error)
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_seaice'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
     END IF
@@ -169,5 +168,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slabh'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     slabh(1)=50.
@@ -226,5 +225,4 @@
     USE calcul_fluxs_mod
 
-    INCLUDE "iniprint.h"
     INCLUDE "clesphys.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/orbite.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/orbite.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/orbite.F90	(revision 2408)
@@ -63,6 +63,4 @@
   ! la journee (0 a 1)
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   REAL longi
   REAL lati(klon), frac(klon), muzero(klon)
@@ -104,5 +102,5 @@
 END SUBROUTINE angle
 ! ====================================================================
-SUBROUTINE zenang(longi, gmtime, pdtrad, lat, long, pmu0, frac)
+SUBROUTINE zenang(longi, gmtime, pdtrad1, pdtrad2, lat, long, pmu0, frac)
   USE dimphy
   IMPLICIT NONE
@@ -116,22 +114,24 @@
   ! fournit des moyennes de pmu0 et non des valeurs
   ! instantanees, du coup frac prend toutes les valeurs
-  ! entre 0 et 1.
+  ! entre 0 et 1. La routine integre entre gmtime+pdtrad1 et 
+  ! gmtime+pdtrad2 avec pdtrad1 et pdtrad2 exprimes en secondes.
   ! Date   : premiere version le 13 decembre 1994
   ! revu pour  GCM  le 30 septembre 1996
+  ! revu le 3 septembre 2015 pour les bornes de l'integrale
   ! ===============================================================
   ! longi : la longitude vraie de la terre dans son plan
   ! solaire a partir de l'equinoxe de printemps (degre)
   ! gmtime : temps universel en fraction de jour
-  ! pdtrad : pas de temps du rayonnement (secondes)
+  ! pdtrad1 : borne inferieure du pas de temps du rayonnement (secondes)
+  ! pdtrad2 : borne inferieure du pas de temps du rayonnement (secondes)
+  ! pdtrad2-pdtrad1 correspond a pdtrad, le pas de temps du rayonnement (secondes)
   ! lat------INPUT : latitude en degres
   ! long-----INPUT : longitude en degres
-  ! pmu0-----OUTPUT: angle zenithal moyen entre gmtime et gmtime+pdtrad
-  ! frac-----OUTPUT: ensoleillement moyen entre gmtime et gmtime+pdtrad
-  ! ================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
-  include "YOMCST.h"
-  ! ================================================================
-  REAL, INTENT (IN) :: longi, gmtime, pdtrad
+  ! pmu0-----OUTPUT: angle zenithal moyen entre gmtime+pdtrad1 et gmtime+pdtrad2
+  ! frac-----OUTPUT: ensoleillement moyen entre gmtime+pdtrad1 et gmtime+pdtrad2
+  ! ================================================================
+  include "YOMCST.h"
+  ! ================================================================
+  REAL, INTENT (IN) :: longi, gmtime, pdtrad1, pdtrad2
   REAL lat(klon), long(klon), pmu0(klon), frac(klon)
   ! ================================================================
@@ -147,5 +147,5 @@
   REAL lat_sun ! declinaison en radian
   REAL lon_sun ! longitude solaire en radian
-  REAL latr ! latitude du pt de grille en radian
+  REAL latr    ! latitude du pt de grille en radian
   ! ================================================================
 
@@ -157,6 +157,6 @@
   lat_sun = asin(sin(lon_sun)*sin(incl))
 
-  gmtime1 = gmtime*86400.
-  gmtime2 = gmtime*86400. + pdtrad
+  gmtime1 = gmtime*86400. + pdtrad1
+  gmtime2 = gmtime*86400. + pdtrad2
 
   DO i = 1, klon
@@ -164,23 +164,10 @@
     latr = lat(i)*pi_local/180.
 
-    ! --pose probleme quand lat=+/-90 degres
-
-    ! omega = -TAN(latr)*TAN(lat_sun)
-    ! omega = ACOS(omega)
-    ! IF (latr.GE.(pi_local/2.+lat_sun)
-    ! .    .OR. latr.LE.(-pi_local/2.+lat_sun)) THEN
-    ! omega = 0.0       ! nuit polaire
-    ! ENDIF
-    ! IF (latr.GE.(pi_local/2.-lat_sun)
-    ! .          .OR. latr.LE.(-pi_local/2.-lat_sun)) THEN
-    ! omega = pi_local  ! journee polaire
-    ! ENDIF
-
-    ! --remplace par cela (le cas par defaut est different)
-
     omega = 0.0 !--nuit polaire
+
     IF (latr>=(pi_local/2.-lat_sun) .OR. latr<=(-pi_local/2.-lat_sun)) THEN
       omega = pi_local ! journee polaire
     END IF
+
     IF (latr<(pi_local/2.+lat_sun) .AND. latr>(-pi_local/2.+lat_sun) .AND. &
         latr<(pi_local/2.-lat_sun) .AND. latr>(-pi_local/2.-lat_sun)) THEN
@@ -266,6 +253,4 @@
 
   ! ====================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   ! ====================================================================
Index: /LMDZ5/branches/testing/libf/phylmd/orografi.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/orografi.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/orografi.F90	(revision 2408)
@@ -24,6 +24,4 @@
   ! d_v-----output-R-increment de la vitesse v
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
 
@@ -171,6 +169,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -404,6 +400,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -849,6 +843,4 @@
   USE dimphy
   IMPLICIT NONE
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -980,6 +972,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1209,6 +1199,4 @@
   ! d_v-----output-R-increment de la vitesse v
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
 
@@ -1324,6 +1312,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1369,5 +1355,5 @@
   IF (nlon/=klon .OR. nlev/=klev) THEN
     abort_message = 'pb dimension'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   zcons1 = 1./rd
@@ -1670,11 +1656,11 @@
   gsigcr = 0.80
 
-  gkdrag = 0.2
-  grahilo = 1.
-  grcrit = 0.01
-  gfrcrit = 1.0
-  gkwake = 0.50
-
-  gklift = 0.50
+!  Values now specified in run.def, or conf_phys_m.F90
+!  gkdrag = 0.2
+!  grahilo = 1.
+!  grcrit = 0.01
+!  gfrcrit = 1.0
+!  gkwake = 0.50
+! gklift = 0.50
   gvcrit = 0.0
 
Index: /LMDZ5/branches/testing/libf/phylmd/orografi_strato.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/orografi_strato.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/orografi_strato.F90	(revision 2408)
@@ -61,6 +61,4 @@
 
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -239,6 +237,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -541,6 +537,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -995,6 +989,4 @@
   IMPLICIT NONE
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1114,6 +1106,4 @@
   IMPLICIT NONE
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1350,6 +1340,4 @@
   ! ======================================================================
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1510,6 +1498,4 @@
 
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOEGWD.h"
@@ -1558,5 +1544,5 @@
   IF (nlon/=klon .OR. nlev/=klev) THEN
     abort_message = 'pb dimension'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   zcons1 = 1./rd
@@ -1847,5 +1833,5 @@
 
   zpr = 100000.
-  ztop = 0.001
+  ZTOP=0.00005
   zsigt = 0.94
   ! old  ZPR=80000.
@@ -1873,15 +1859,15 @@
   PRINT *, ' DANS SUGWD nktopg=', nktopg
   PRINT *, ' DANS SUGWD nstra=', nstra
-  if (nstra == 0) call abort_gcm("sugwd_strato", "no level in stratosphere", 1)
-
-  gsigcr = 0.80
-
-  gkdrag = 0.1875
-  grahilo = 0.1
-  grcrit = 1.00
-  gfrcrit = 1.00
-  gkwake = 0.50
-
-  gklift = 0.25
+  if (nstra == 0) call abort_physic("sugwd_strato", "no level in stratosphere", 1)
+
+!  Valeurs lues dans les .def, ou attribues dans conf_phys
+  !gkdrag = 0.2   
+  !grahilo = 0.1
+  !grcrit = 1.00
+  !gfrcrit = 0.70
+  !gkwake = 0.40
+  !gklift = 0.25
+
+  gsigcr = 0.80 ! Top of low level flow
   gvcrit = 0.1
 
